-- ** NayMods.storage ** provides access to NayMods saved variables db.
-------------------------------------------------------------------------------

local NayMods = NayMods
local Debug = NayMods.debug
local ADB = LibStub("AceDB-3.0")

local Storage = { db = nil }

-----------------------------INITIALIZE--------------------------------------------

--[[
Initialize the storage.
Should be called when NayMods is initialized.
]]
function Storage:Initialize()
  self.db = ADB:New("NayModsStore")
end

--[[
Registers the default config options with the storage.
]]
function Storage:LoadDefaultConfig(defaults)
  self.db:RegisterDefaults(defaults)
  Debug:WriteLine("Default config loaded")
end

-----------------------------EXPORT--------------------------------------------

NayMods.storage = Storage
