-- ** NayMods.plugins.visuals.progressBar **
-- A visual progress bar on screen.
-------------------------------------------------------------------------------

local NayMods = NayMods
local Debug = NayMods.debug
local Utils = NayMods.utils
local VisualPrototype = NayMods.plugins.visuals.prototype
local Media = LibStub("LibSharedMedia-3.0")

local progressBar = Utils:NewModule(VisualPrototype)

--[[
OnInit hook.
]]
function progressBar:OnInit(key, options)
    self.statusBar = CreateFrame("StatusBar", "NayMods_StatusBar_" .. key, UIParent)
    self.statusBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
    self.statusBar:GetStatusBarTexture():SetHorizTile(false)
    self.statusBar:SetMinMaxValues(0, 5)
    self.statusBar:SetValue(0)
    self.statusBar:SetWidth(200)
    self.statusBar:SetHeight(25)
    self.statusBar:SetPoint("CENTER", self.frame, "CENTER")
    self.statusBar:SetStatusBarColor(0,1,0)
end

--[[
OnShow hook.
]]
function progressBar:OnShow()
  self.statusBar:Show()
end

function progressBar:OnHide()
  self.statusBar:Hide()
end

progressBar:RegisterOnUpdate("PROGRESSBAR_TEST", function(...)
  local bar, totalElapsed = ...

  if totalElapsed <= 5 then
    bar.statusBar:SetValue(totalElapsed)
  end

  -- if not bar.duration then
  --   return
  -- end
  --
  -- local timeLeft = msg.duration - totalElapsed
  -- local dynamicText = string.gsub(msg.originalText, "{D}", string.format("%.1f", timeLeft))
  -- msg:SetText(dynamicText)
end)

-----------------------------ACE3-OPTIONS-UTILS--------------------------------


-----------------------------EXPORT--------------------------------------------

NayMods.plugins.visuals.progressBar = progressBar
